<?php
declare(strict_types=1);

namespace Catequil\Webshop\Model;

use Catequil\Overseas\Model\ApiKey;

/**
 * Interface WebshopInterface
 *
 * @package Catequil\Webshop\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-webshop
 */
interface WebshopInterface
{
    public function getId(): ?int;
    public function getDomain(): string;
    public function setDomain(string $domain): void;
    public function getOverseasApiKey(): ?ApiKey;
}
